### Class

# Shumate VectorReader

unstable since: 1.2

#### Description [src]

    final class Shumate.VectorReader : GObject.Object
    {
      /* No available fields */
    }

Provides low-level access to the contents of a vector tile.

To create a new `ShumateVectorReader`, use `shumate_vector_reader_new()` and pass the bytes of a vector tile, which you might get from a `ShumateDataSource`. Then, use `shumate_vector_reader_iterate()` to get a `ShumateVectorReaderIter` and iterate over the features in the tile. You can create multiple `ShumateVectorReaderIter`s from the same `ShumateVectorReader`.

Available since: 1.2

#### Ancestors

- GObject

#### Constructors

###### shumate_vector_reader_new

Creates a new `ShumateVectorReader` from `bytes`.

unstable since: 1.2

#### Instance methods

###### shumate_vector_reader_iterate

Creates a new `ShumateVectorReaderIter` for `self`.

unstable since: 1.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct ShumateVectorReaderClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.